moderated Re: Census survey

netbat66
 

i had no problem useing firefox.

-----Original Message-----
From: Betsy Binney
Sent: Friday, March 20, 2020 11:09 AM
To: main@jfw.groups.io
Subject: Re: Census survey

Hi John,

I did it last night and yes you must use IE. I am still using IE11 for my primary browser. From what I have read it is still secure for now.

Give Auggie hu from me.


Betsy R. Binney
meandbastet@...


On Mar 20, 2020, at 1:01 PM, John Doering <John.Doering@...> wrote:





Hello:

Has anyone completed the 2020 census on line at my2020census.gov?

At the top, it asks screen reader users to use the latest version of Internet Explorer and JAWS. I wonder how secure IE is now.

Any thoughts?



Thanks,





John Doering
Pricing Analyst

Office: 4147783040 Extn:4063
Mobile:
445 S Curtis Rd West Allis, WI 53214
https://ibvi.org



Industries for the Blind & Visually Impaired accepts no liability for the content of this email, or for the consequences of any actions taken on the basis of the information provided, unless that information is subsequently confirmed in writing. If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Join main@jfw.groups.io to automatically receive all group messages.